@import"https://fonts.googleapis.com/css2?family=IBM+Plex+Mono:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;1,100;1,200;1,300;1,400;1,500;1,600;1,700&display=swap";
@import"https://cdn.jsdelivr.net/npm/@phosphor-icons/web@2.1.2/src/bold/style.css";

* {
  box-sizing: border-box;
}

:root {
  font-family: "IBM Plex Mono", monospace;
  font-size: 18px;

  --bg: #FAFAF9;
  --bg-muted: #EFECEB;
  --fg: #301F1C;
  --fg-muted: #6D5C5A;
  --acc: #EA6959;
}

@media (prefers-color-scheme: dark) {
  :root {
      --bg: #2F2637;
      --bg-muted: #392E42;
      --fg: #E1DCE5;
      --fg-muted: #AEA5B6;
      --acc: #EA6959;

      img{
          mix-blend-mode: plus-lighter;
      }
  }
}

body {
  margin: 0;
  line-height: 1.4;
  background: var(--bg);
  color: var(--fg);
  padding: 0 2rem;
}

.container {
  max-width: 1000px;
  margin: 0 auto;
  padding: 1rem;
  display: flex;
  flex-direction: column;
  min-height: 100vh;
}

a {
    color: var(--acc);
    text-decoration: none;
    background-image: linear-gradient(transparent 92%, var(--acc) 92%), linear-gradient(transparent 92%, var(--bg-muted) 92%);
    background-size: 0 100%, 100% 100%;
    background-repeat: no-repeat;
    transition: .1s ease-in background-size;

    &.stealth{
        color: var(--fg-muted);
    }
    

    &:hover{
        color: var(--acc);
        text-decoration: none;
        background-size: 100% 100%, 100% 100%;
        transition: .1s ease-in background-size;
    }
}


/* HEADER */
header {
  display: flex;
  justify-content: space-between;
  align-items: flex-end;
  margin-bottom: 1.5rem;
  padding: 2rem 0;
  border-bottom: 2px solid var(--bg-muted);

  h1{
    margin: 0;
  }
}

/* SLIDESHOW */
.slideshow {
  min-height: 5rem;
  padding: 2rem 0;
  margin-bottom: 2rem;
  flex-grow: 1;
  display: flex;
  align-items: center;

  span{
    color: var(--acc)
  }
}

#slideshow-sentence {
  margin: 0;
  font-size: 5rem;
  font-weight: 700;
}

.actions {
  display: flex;
  gap: 0.5rem;
  flex-wrap: wrap;
  margin-bottom: 1.5rem;
  padding-bottom: 2rem;
  border-bottom: 2px solid var(--bg-muted);

  button{
    width: 3rem;
    height: 3rem;
    display: flex;
    align-items: center;
    justify-content: center;
    padding: 0;
    background: var(--bg-muted);
    border: none;
    color: var(--fg);
    cursor: pointer;
    border-radius: 50%;
    font-size: 1.5rem;
    transition: .1s ease-in all;

    span{
      display: none;
    }
  }

  .prev-next:hover{
    background: var(--acc);
    color: var(--bg);
  }

  .play-pause{
    background: var(--acc);
    color: var(--bg);
    margin-right: auto;
  }
  .play-pause:hover{
    scale: 1.2;
  }
}

@media (prefers-color-scheme: dark) {
  .actions{
    .prev-next:hover{
      color: var(--fg);
    }

    .play-pause{
      color: var(--fg);
    }
  }
}

.submission{
  background: var(--bg-muted);
  padding: 1rem;
  border-radius: 1rem;
  position: relative;

  input[type=checkbox] {
    display: none;
  }

  .form{
    display: none;

    h2{
      margin-top: 0;
    }
  }

  .add-yours-toggle{
    text-align: center;
  }

  .text span{
    display: flex;
    align-items: center;
    gap: .25rem;
    justify-content: center;
    color: var(--acc);
  }

  .add-yours-toggle:has(input[type=checkbox]:checked){
    position: absolute;
    top: 2rem;
    right: 2rem;
    color: var(--acc);
    user-select: none;

    &::before{
      content: "\e4f6";
      font-family: "Phosphor-Bold" !important;
      position: absolute;
      right: 0;
      color: var(--fg);
    }

    .text span{
      opacity: 0;
      position: relative;
      width: 1rem;
      height: 1rem;
      display: block;
      overflow: hidden;
    }

    &+.form{
      display: block;
    }
  }

  .add-yours-toggle .text{
    user-select: none;
    cursor: pointer;
  }
}

.submission:has(input[type=checkbox]:checked){
  padding: 2rem;
}


.submission form {
  display: flex;
  gap: 0.5rem;
  align-items: center;
  flex-wrap: wrap;
}

.inline-label {
  white-space: nowrap;
}

input[type='text'],
input[type='password'] {
  min-width: 180px;
  flex-grow: 1;
  padding: .5rem 1rem;
  font-size: 1rem;
}

button[type=submit]
{
  padding: .5rem 1rem;
  font-size: 1rem;
  background: var(--acc);
  color: var(--bg);
  border: none;
  cursor: pointer;
  font-weight: 500;
  border-radius: .25rem;
}

@media (prefers-color-scheme: dark){
  button[type=submit]{
    color: var(--fg);
  }
}

.hidden {
  display: none;
}

.submission-item {
  border: 1px solid #ccc;
  padding: 0.75rem;
  margin-bottom: 0.75rem;
}

.submission-item form {
  display: flex;
  gap: 0.5rem;
  flex-wrap: wrap;
  align-items: center;
}

.item-actions {
  display: flex;
  gap: 0.5rem;
  margin-top: 0.5rem;
  flex-wrap: wrap;
}

p {
  margin: 0.5rem 0;
}

.message:not(:empty) {
  padding: 1rem;
  background: color-mix(in srgb, var(--fg) 10%, transparent);
  border-radius: .25rem;
  margin-top: 1rem;
  text-align: center;
}

@media (max-width: 800px) {
  #slideshow-sentence {
    font-size: 2.5rem;
  }

  .actions button{
    width: 2.5rem;
    height: 2.5rem;
    font-size: 1rem;
  }

  form{
    flex-direction: column;
    align-items: stretch;

    & > * {
      width: 100%;
    }
  }

  header {
    flex-direction: column;
    align-items: flex-start;
    gap: .5rem;
  }
}